module LifenFhir
  class Medium < Element

    attribute :code, String
    attribute :display, String
    attribute :value, String


    def fhir_payload
      {
        coding:[{
          id: uuid
        }]
      }
    end

    def attributes_from_json(json)

      self.display = json["display"]
      self.code = json["code"]
      self.value = json["value"]

      self
    end

  end
end
