module LifenFhir
  class Binary < Element

    def fhir_payload
      {
        contentReference: {
          reference: reference
        }
      }
    end

    def download
      application_client.get("fhir/#{reference}", { accept: "application/pdf" })
    end

    def attributes_from_json(json)
      super(json["contentReference"])
    end

    private

  end
end
