module LifenFhir
  class Telecom < Element

    attribute :system, String
    attribute :value, String

    def attributes_from_json(json)
      self.uuid = json.fetch("id")
      self.system = json.fetch("system")
      self.value = json.fetch("value")

      self
    end

    def fhir_payload
      {
        "system": system,
        "value": value
      }
    end

  end
end
